Skip to main content
GET
/
tag_groups
List tag groups
curl --request GET \
  --url https://sandbox.nmbr.co/services/payroll/tag_groups \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://sandbox.nmbr.co/services/payroll/tag_groups"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://sandbox.nmbr.co/services/payroll/tag_groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "object": "list",
  "data": [
    {
      "id": "<id>",
      "object": "tag_group",
      "data": {
        "label": "Department",
        "label_translations": null,
        "label_translated": "Department",
        "description": null,
        "description_translations": null,
        "description_translated": null,
        "color": null,
        "archived_at": null,
        "is_deletable": true,
        "is_component_locked": false,
        "is_journal_entry_dimension": false,
        "integrations": {
          "xero": {
            "id": null,
            "type": null
          },
          "quickbooks": {
            "type": null
          }
        },
        "business_entity": {
          "id": "<id>",
          "object": "business_entity",
          "links": {
            "self": "/business_entities/<id>"
          }
        },
        "created_at": "2026-01-01T00:00:00.000000Z",
        "updated_at": "2026-01-01T00:00:00.000000Z"
      },
      "links": {
        "self": "/tag_groups/<id>"
      }
    },
    {
      "id": "<id>",
      "object": "tag_group",
      "data": {
        "label": "Department",
        "label_translations": null,
        "label_translated": "Department",
        "description": null,
        "description_translations": null,
        "description_translated": null,
        "color": null,
        "archived_at": null,
        "is_deletable": true,
        "is_component_locked": false,
        "is_journal_entry_dimension": false,
        "integrations": {
          "xero": {
            "id": null,
            "type": null
          },
          "quickbooks": {
            "type": null
          }
        },
        "business_entity": {
          "id": "<id>",
          "object": "business_entity",
          "links": {
            "self": "/business_entities/<id>"
          }
        },
        "created_at": "2026-01-01T00:00:00.000000Z",
        "updated_at": "2026-01-01T00:00:00.000000Z"
      },
      "links": {
        "self": "/tag_groups/<id>"
      }
    },
    {
      "id": "<id>",
      "object": "tag_group",
      "data": {
        "label": "Department",
        "label_translations": null,
        "label_translated": "Department",
        "description": null,
        "description_translations": null,
        "description_translated": null,
        "color": null,
        "archived_at": null,
        "is_deletable": true,
        "is_component_locked": false,
        "is_journal_entry_dimension": false,
        "integrations": {
          "xero": {
            "id": null,
            "type": null
          },
          "quickbooks": {
            "type": null
          }
        },
        "business_entity": {
          "id": "<id>",
          "object": "business_entity",
          "links": {
            "self": "/business_entities/<id>"
          }
        },
        "created_at": "2026-01-01T00:00:00.000000Z",
        "updated_at": "2026-01-01T00:00:00.000000Z"
      },
      "links": {
        "self": "/tag_groups/<id>"
      }
    }
  ],
  "links": {
    "first": "/tag_groups?business_entity_id=<id>&page=1",
    "last": "/tag_groups?business_entity_id=<id>&page=1",
    "prev": null,
    "next": null
  },
  "meta": {
    "current_page": 1,
    "last_page": 1,
    "per_page": 15,
    "total": 3,
    "has_more": false
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

business_entity_id
string
required
include_archived
boolean
archived_at
object

Date filters support two formats: Exact Date Match: Provide a well-formatted date in YYYY-MM-DD format for an exact match. Example: archived_at=2024-01-01 Use an array-like syntax to specify a range with one or more comparison operators:

  • gt (greater than)
  • gte (greater than or equal to)
  • lte (less than or equal to)
  • lt (less than) Example: archived_at[gte]=2024-01-01&archived_at[lt]=2024-12-31
expand
enum<string>[]
Available options:
tags

Response

200 - application/json

OK

object
string
read-only

The type of the object in Nmbr ("list").

data
object[]